Skip to main content
POST
/
chats
/
statuses
Get online statuses for multiple users
curl --request POST \
  --url https://api.fanvue.com/chats/statuses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "userUuids": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}
'
{
  "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8": {
    "isOnline": true,
    "lastSeenAt": "2024-01-15T00:00:00.000Z"
  },
  "b2c3d4e5-6f7g-8h9i-0j1k-l2m3n4o5p6q7": {
    "isOnline": false,
    "lastSeenAt": "2024-01-14T00:00:00.000Z"
  },
  "c3d4e5f6-7890-1234-5678-9abcdef01234": {
    "isOnline": false,
    "lastSeenAt": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Body

application/json
userUuids
string<uuid>[]
required

Array of user UUIDs to check online status for (max 100)

Required array length: 1 - 100 elements

Response

Online statuses retrieved successfully

Map of user UUIDs to their online status

{key}
object